Skip to main content
GET
/
interactions
/
{id}
/
codes
/
List Codes
curl --request GET \
  --url https://api.{environment}.corti.app/v2/interactions/{id}/codes/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Tenant-Name: <tenant-name>'
const options = {
method: 'GET',
headers: {'Tenant-Name': '<tenant-name>', Authorization: 'Bearer <token>'}
};

fetch('https://api.{environment}.corti.app/v2/interactions/{id}/codes/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
using RestSharp;


var options = new RestClientOptions("https://api.{environment}.corti.app/v2/interactions/{id}/codes/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Tenant-Name", "<tenant-name>");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
import requests

url = "https://api.{environment}.corti.app/v2/interactions/{id}/codes/"

headers = {
"Tenant-Name": "<tenant-name>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.{environment}.corti.app/v2/interactions/{id}/codes/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Tenant-Name: <tenant-name>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.{environment}.corti.app/v2/interactions/{id}/codes/"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Tenant-Name", "<tenant-name>")
req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://api.{environment}.corti.app/v2/interactions/{id}/codes/")
.header("Tenant-Name", "<tenant-name>")
.header("Authorization", "Bearer <token>")
.asString();
{
  "codes": [
    {
      "system": "ICD-10",
      "code": "T933",
      "description": "<string>",
      "state": {
        "isSelected": true
      },
      "additionalCodes": [
        {
          "subsetName": "orsakskoder",
          "code": "W0231",
          "description": "<string>",
          "state": {
            "isSelected": true
          }
        }
      ]
    }
  ],
  "usageInfo": {
    "creditsConsumed": 123
  }
}
{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}
{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}
{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}
{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}

Authorizations

Authorization
string
header
required

Input your token

Headers

Tenant-Name
string
required

Identifies a distinct entity within Corti's multi-tenant system. Ensures correct routing and authentication of the request.

Example:

"base"

Path Parameters

id
string<uuid>
required

The unique identifier of the interaction. Must be a valid UUID.

Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

Response

List of associated codes.

codes
object[]

List of medical codes

usageInfo
object

Credits consumed for this request.